summaryrefslogtreecommitdiff
path: root/hacks
diff options
context:
space:
mode:
authorCarl Hetherington <cth@carlh.net>2021-06-03 15:31:16 +0200
committerCarl Hetherington <cth@carlh.net>2021-06-03 15:31:16 +0200
commit56062a84cca360881bfa3bd2b2254d451223d775 (patch)
tree512a4de7f2266dfc044593dd80777aeb6186fcbf /hacks
parentd077ad2b75c45b5abea465f5e8bc4a3850a172f3 (diff)
Add prep_smoke.sh hack script.
Diffstat (limited to 'hacks')
-rw-r--r--hacks/prep_smoke.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/hacks/prep_smoke.sh b/hacks/prep_smoke.sh
new file mode 100644
index 000000000..e0b823e9b
--- /dev/null
+++ b/hacks/prep_smoke.sh
@@ -0,0 +1,14 @@
+DCP=$HOME/DCP/Examples/xm
+KEY=$HOME/dcpomatic-infrastructure/keys/test-vm-id_rsa
+targets="centos-7-64 centos-8-64 debian-9-64 debian-10-64 ubuntu-16.04-32 ubuntu-16.04-64 ubuntu-18.04-64 ubuntu-20.04-64 ubuntu-20.10-64 ubuntu-21.04-64 fedora-32-64 fedora-33-64 fedora-34-64"
+
+opts="-o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null -i $KEY"
+
+for t in $targets; do
+ host=$(echo $t | sed "s/\./-/g")
+ ping -c 1 $host.local
+ if [ "$?" == "0" ]; then
+ scp $opts -r $DCP $host.local:
+ scp $opts -r $t/* $host.local:
+ fi
+done